repo/gentoo:master commit in: dev-python/gitpython/
MichaŠGórny <[email protected]> Wed, 05 Aug 2026 02:13:35 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785894940.4e215159f1fd39fd4cea3064dbc5a13133c59fd7.mgorny@gentoo> |
commit: 4e215159f1fd39fd4cea3064dbc5a13133c59fd7
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 5 01:45:31 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 5 01:55:40 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e215159
dev-python/gitpython: Bump to 3.1.58
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/gitpython/Manifest | 2 +
dev-python/gitpython/gitpython-3.1.58.ebuild | 74 ++++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-python/gitpython/Manifest b/dev-python/gitpython/Manifest
index 7aa05f2c4bf5..46a7c9fac999 100644
--- a/dev-python/gitpython/Manifest
+++ b/dev-python/gitpython/Manifest
@@ -1,2 +1,4 @@
DIST GitPython-3.1.57.gitbundle 12996669 BLAKE2B cccc3058e05a812d0ac20112514e31af5e0dfd3eb5b6d0c27d6fdb46c0eea750a8edaa2aacd71940c60a47ceccdf2f3f2a515ee65619d8b6b5440c917f733815 SHA512 24e7997fb0bf548fb430ff18b632eb3eb3374ca35523e100e1a38c500b3178b53f6238fce0745f3a61d6a3210cac8a1a7af37e7f8dc6a281b4cdd26d4a9643f8
+DIST GitPython-3.1.58.gitbundle 13166887 BLAKE2B 7f99c37836dbfe438ee9710e9e8686d1be646dccbdd19a55c9baf3f46c1dfd6a1d362e27167edad82a611acefd093a10ac4d87f8266bbbb61dc78c3a7f755846 SHA512 0eaa7b14827a18b8887adb4ee0e90b960b9aa002227ff0b3cefc6e27a7d5ce22050fe2d6bbafdadd8cfb0b9c5b27003dfd808e699663b07dcdf013c57ff61625
DIST gitpython-3.1.57.tar.gz 225898 BLAKE2B e577b3bf6080280869fc53475538415a2681e3d5bd2f86d0536036480e1bd7f2f2b4c3d0c84f9c263b24a4e130394a16015367f762b70e67b57d337d54700622 SHA512 cc60ceb2649c600e8618556c889418b6a481bfd358a037a0c117e475957b57d90d6b43421b392207b7dc308a6ec06b25e55c0733ccc149ed9308d048cec78fb3
+DIST gitpython-3.1.58.tar.gz 228498 BLAKE2B fcd5b832587b82e2fb51d1a6087c02f294b84418de0c413d5eaa828aff4d2b87e8ead4486b274352d5c9ca09633e63a1c41a232ebf164c671d45df1bd9dd2bd3 SHA512 779e55e5a977b37f6bf46c5b8358e61e07f590d089b27bb402e37fb0b78d35f4a1fae1199274ecb5f7b057f2707057003d946cdc7557e7d0e574d1adb046cb70
diff --git a/dev-python/gitpython/gitpython-3.1.58.ebuild b/dev-python/gitpython/gitpython-3.1.58.ebuild
new file mode 100644
index 000000000000..bc83d6b2bb85
--- /dev/null
+++ b/dev-python/gitpython/gitpython-3.1.58.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=GitPython
+PYTHON_COMPAT=( python3_{12..15} python3_{14,15}t )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.12
+SMMAP_P=smmap-5.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+ test? (
+ https://distfiles.gentoo.org/pub/proj/python/GitPython/${TEST_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis-9SC/[email protected]" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimportant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_root_module
+ test/test_remote.py::TestTimeouts::test_timeout_funcs
+ )
+
+ epytest -o addopts= test
+}